Windows 10 et .Net 3.5 ou la brûlure de cerveau

Si tout était simple, rien ne serait compliqué…
Petit rétro: après avoir vu mon portable pro HS à cause d’un mSSD mort, je me suis vu dans l’obligation d’installer Windows 8.1…
Ne voulant pas rester sur cette version qui ne m’avait pas du tout convenu lors de mes tests, j’ai directement fait l’upgrade vers Windows 10. Ouf, c’est mieux ! 😉

Mais tout n’est pas si rose dans le pays merveilleux de Windows… Surtout lorsqu’il faut bosser avec des outils qui ont des besoins en framework .Net 3.5 !

Donc, on fait simple, on cherche comment on installe ça (cf https://answers.microsoft.com/en-us/insider/forum/insider_wintp-insider_install/how-to-instal-net-framework-35-on-windows-10/450b3ba6-4d19-45ae-840e-78519f36d7a4?auth=1 ), mais ça ne fonctionne pas car il colle une erreur à la con… Grrrr…
Puis, à force de recherches * j’ai fini par trouver tous les paquets nécessaires à l’installation mais aucun ne fonctionnait car il y avait toujours la même erreur…

Donc je reviens sur les commandes Dism décrites dans plusieurs blogs et je me met à chercher où je vais trouver le foutu paquet installable à la demande.
Et, finalement, c’est tout bête il n’était pas si loin: lors de l’upgrade un dossier C:\ESD a été créé avec tout ce qu’il faut dedans.
Je n’ai donc plus qu’à faire la commande magique:

C:\>dism /online /enable-feature /featurename:NetFx3 /all /source:C:\ESD\Windows\sources\sxs /limitaccess

Outil Gestion et maintenance des images de déploiement
Version : 10.0.10586.0

Version de l’image : 10.0.10586.0

Activation de la ou des fonctionnalités
[==========================100.0%==========================]
L’opération a réussi.

Et ben moi aussi par la même occasion !! Me voilà donc avec le .Net 3.5 compatible avec des logiciels antérieurs à W10… Ouf ! Bon, ben au boulot maintenant !

* Sources:
http://www.msnloop.com/installation-du-net-framework-3-5-sous-windows-10/
https://www.microsoft.com/fr-fr/download/details.aspx?id=21
http://www.microsoft-desktop.com/2015/09/impossible-dinstaller-net-framework-3-5-sous-windows-10-aussi/
https://www.microsoft.com/fr-fr/download/details.aspx?id=22

Publicités

Laisser un commentaire

Entrez vos coordonnées ci-dessous ou cliquez sur une icône pour vous connecter:

Logo WordPress.com

Vous commentez à l'aide de votre compte WordPress.com. Déconnexion / Changer )

Image Twitter

Vous commentez à l'aide de votre compte Twitter. Déconnexion / Changer )

Photo Facebook

Vous commentez à l'aide de votre compte Facebook. Déconnexion / Changer )

Photo Google+

Vous commentez à l'aide de votre compte Google+. Déconnexion / Changer )

Connexion à %s